program multiform;

{$mode objfpc}

uses
  browserapp, JS, Classes, SysUtils, Web, frmIndex, frmUsers, frmlogin, frmprojects,
  frmbase, webrouter, frmProject;

type
  TMyApplication = class(TBrowserApplication)
    FIndex : TIndexForm;
    procedure doRun; override;
  end;

procedure TMyApplication.doRun;

begin
  Terminate;
  TUsersForm.Register;
  TProjectsForm.Register;
  TProjectDetailForm.Register;
  TLoginForm.Register;
  FIndex:=TIndexForm.Create(Self);
  FormManager.FormParent:=FIndex.form_parent;
  Router.InitHistory(hkHash);
end;

var
  Application : TMyApplication;

begin
  Application:=TMyApplication.Create(nil);
  Application.Initialize;
  Application.Run;
end.
