unit frmlogin;
{$MODE ObjFPC}
{$H+}

interface

uses js, web, Classes;

type
  
  { --------------------------------------------------------------------
    TLoginForm
    --------------------------------------------------------------------}

  TLoginForm = class(TComponent)
  Published
    edtEmail : TJSHTMLInputElement;
    edtPassword : TJSHTMLInputElement;
    btnDoLogin : TJSHTMLButtonElement;
    procedure DoLoginClick(Event : TJSEvent);
  Public
    constructor create(aOwner : TComponent); override;
    procedure BindElements; virtual;
    procedure BindElementEvents; virtual;
  end;

implementation


{ --------------------------------------------------------------------
  TLoginForm
  --------------------------------------------------------------------}

procedure TLoginForm.DoLoginClick(Event: TJSEvent);
begin
  window.Alert('Logging in!');
end;

constructor TLoginForm.create(aOwner : TComponent);

begin
  inherited;
  BindElements;
  BindElementEvents;
end;



procedure TLoginForm.BindElements;

begin
  edtEmail:=TJSHTMLInputElement(document.getelementByID('edtEmail'));
  edtPassword:=TJSHTMLInputElement(document.getelementByID('edtPassword'));
  btnDoLogin:=TJSHTMLButtonElement(document.getelementByID('btnDoLogin'));
end;

procedure TLoginForm.BindElementEvents;

begin
  btnDoLogin.AddEventListener('click', @DoLoginClick);
end;

end.
